<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header bg-danger">
          <i class="fa fa-align-justify"></i> {{TITLE}}
        </div>
        <div class="card-body">

          <div class="d-flex justify-content-end align-items-center">
            <button (click)="setCompanyId(1)" [ngClass]="(companyId === 1)? 'btn-danger' : 'btn-outline-danger'"
                    class="btn btn-lg m-2"> AEROMAN
            </button>
            <button (click)="setCompanyId(2)" [ngClass]="(companyId === 2)? 'btn-danger' : 'btn-outline-danger'"
                    class="btn btn-lg m-2"> FLIGHTSTAR
            </button>
          </div>

          <ngx-table #table
                     *ngIf="parentData.length > 0"
                     [columns]="columns"
                     [configuration]="parentConfiguration"
                     [data]="parentData"
                     [detailsTemplate]="detailsTemplate"
                     [id]="'parent-table'">
            <ng-template let-index="index" let-row>
              <td>
                <h4 class="text-uppercase"><strong>{{row.modName}}</strong></h4>
              </td>
              <td>
                <button (click)="onRowClickEvent($event, index)"
                        class="btn btn-primary"
                        id="expandButton-{{index}}">
                  <i *ngIf="!toggledRows.has(index)" class="icon icon-arrow-left"></i>
                  <i *ngIf="toggledRows.has(index)" class="icon icon-arrow-down"></i>
                  <span *ngIf="!toggledRows.has(index)">Show tables</span>
                  <span *ngIf="toggledRows.has(index)">Hide tables</span>
                </button>
              </td>
            </ng-template>

          </ngx-table>
        </div>
      </div>
    </div>
  </div>
</div>
<ng-template #detailsTemplate let-row>
  <ngx-table
    (event)="eventEmitted($event, modal)"
    [columns]="nestedColumns"
    [configuration]="getConfiguration(row)"
    [data]="nestedData[row.modId]"
    [id]="'nested-table'+row">
  </ngx-table>
</ng-template>

<ng-template #modal>
  <div class="modal-danger" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Setting Rules</h4>
      </div>
      <div class="modal-body">

        <div class="container">
          <div class="row justify-content-center">
            <div class="col-10">
              <form action="" method="post">
                <div class="form-group">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text">Type Rule&nbsp;</span>
                    </div>
                    <select id="typeRule" name="select3" class="form-control" [(ngModel)]="typeRule">
                      <option [value]="0" selected>ByPass</option>
                      <option [value]="1">Replace</option>
                      <option [value]="2">Remove Blank Space ( TRIM )</option>
                    </select>
                    <div class="input-group-append">
                      <span class="input-group-text"><i class="fa fa-align-right"></i></span>
                    </div>
                  </div>
                </div>

                <div class="form-group" *ngIf="typeRule === '1'">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text">Value Old&nbsp;&nbsp;</span>
                    </div>
                    <input autocomplete="off" class="form-control" id="valueOld" name="ValueOld"
                           type="text">
                    <div class="input-group-append">
                      <span class="input-group-text"><i class="fa fa-asterisk"></i></span>
                    </div>
                  </div>
                </div>

                <div class="form-group" *ngIf="typeRule === '1'">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text">Value New&nbsp;</span>
                    </div>
                    <input autocomplete="off" class="form-control" id="valueNew" name="ValueNew"
                           type="text">
                    <div class="input-group-append">
                      <span class="input-group-text"><i class="fa fa-asterisk"></i></span>
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>

      </div>
      <div class="modal-footer">
        <button (click)="modalRef.hide()" class="btn btn-secondary" type="button">Close</button>
        <button class="btn btn-primary" type="button">Save changes</button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</ng-template>
